## kactivitymanagerd 5.12.4

=== src/service/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

project (ActivityManager)

# General
find_package (ECM 0.0.8 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Sql Gui Widgets)

find_package (KF5Config ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5CoreAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5WindowSystem ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5GlobalAccel ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5XmlGui ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5KIO ${KF5_DEP_VERSION} CONFIG REQUIRED)

# Standard stuff

set (CMAKE_INCLUDE_CURRENT_DIR ON)

add_library(kactivitymanagerd_plugin SHARED Plugin.cpp Module.cpp Event.cpp Debug.cpp)
generate_export_header(kactivitymanagerd_plugin)
target_link_libraries(kactivitymanagerd_plugin PUBLIC Qt5::Core Qt5::DBus KF5::CoreAddons KF5::ConfigCore)

add_subdirectory (plugins)

set (kactivitymanager_SRCS
   Application.cpp
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.cpp

   Debug.cpp
   Activities.cpp
   Resources.cpp
   Features.cpp
   Config.cpp

   ksmserver/KSMServer.cpp
   )

qt5_add_dbus_adaptor (
   kactivitymanager_SRCS
   ../common/dbus/org.kde.ActivityManager.Activities.xml
   Activities.h Activities
   )

qt5_add_dbus_adaptor (
   kactivitymanager_SRCS
   ../common/dbus/org.kde.ActivityManager.Resources.xml
   Resources.h Resources
   )

qt5_add_dbus_adaptor (
   kactivitymanager_SRCS
   ../common/dbus/org.kde.ActivityManager.Features.xml
   Features.h Features
   )

add_executable (kactivitymanagerd ${kactivitymanager_SRCS})

target_link_libraries (kactivitymanagerd
   Qt5::Core
   Qt5::DBus
   Qt5::Gui
   Qt5::Widgets
   KF5::DBusAddons
   KF5::CoreAddons
   KF5::ConfigCore
   KF5::I18n
   KF5::WindowSystem
   kactivitymanagerd_plugin
   )

########### install application ###############

install (FILES
   files/kactivitymanagerd.desktop
   DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
   )

install (TARGETS
   kactivitymanagerd kactivitymanagerd_plugin ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
   )

install (FILES
   files/kactivitymanagerd-plugin.desktop
   DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR}
   )

=== src/service/plugins/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

add_subdirectory (slc)
add_subdirectory (sqlite)
add_subdirectory (activitytemplates)
add_subdirectory (virtualdesktopswitch)
add_subdirectory (globalshortcuts)
add_subdirectory (eventspy)
add_subdirectory (runapplication)

## kactivitymanagerd 5.7.5

=== debian/changelog ===
kactivitymanagerd (5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:25:23 -0500

kactivitymanagerd (5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:03:57 +0000

kactivitymanagerd (5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:42:52 +0100

kactivitymanagerd (5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Jonathan Riddell ]
  * Initial package

  [ Scarlett Clark ]
  * Add missing depend to libboost.

  [ Maximiliano Curia ]
  * New upstream release (5.6.2).
  * Bump Standards-Version to 3.9.7, no changes needed.

  [ Clive Johnston ]
  * New upstream release (5.6.3)
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:14:00 -0700

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5globalaccel-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.7
Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kactivitymanagerd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kactivitymanagerd.git

Package: kactivitymanagerd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kactivities (<< 5.20~)
Replaces: kactivities (<< 5.20~)
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 5.8.4

=== debian/changelog ===
kactivitymanagerd (5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:28:13 +0100

kactivitymanagerd (5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:17:04 +0200

kactivitymanagerd (5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:54:44 +0200

kactivitymanagerd (5.7.4-1) unstable; urgency=medium

  * Force dependency in the sqlite database driver.
    Thanks to Éter for reporting (Closes: 830536)
  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 14:46:32 +0200

kactivitymanagerd (5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jul 2016 16:11:50 +0200

kactivitymanagerd (5.6.4-2) unstable; urgency=medium

  * Update lintian override for libkactivitymanagerd_plugin.so
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 14:38:20 +0200

kactivitymanagerd (5.6.4-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Initial package

  [ Scarlett Clark ]
  * Add missing depend to libboost.

  [ Maximiliano Curia ]
  * New upstream release (5.6.2).
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Force installing in debian/tmp
  * Add lintian override for the installed plugin
  * Add missing breaks/replaces against libkactivities-bin reagarding /usr/bin/kactivitymanagerd
  * Update lintian override for libkactivitymanagerd_plugin.so

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:45:41 +0200

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5dbusaddons-dev (>= 5.18.0~),
               libkf5globalaccel-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5service-dev,
               libkf5windowsystem-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kactivitymanagerd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kactivitymanagerd.git

Package: kactivitymanagerd
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Breaks: kactivities (<< 5.20~),
        libkactivities-bin,
        plasma-desktop (<< 4:5.8),
        plasma-workspace (<< 4:5.8)
Replaces: kactivities (<< 5.20~), libkactivities-bin
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kactivitymanagerd-([\d.]+)\.tar\.xz

## kactivitymanagerd 5.9.4

=== debian/changelog ===
kactivitymanagerd (5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:25 +0000

kactivitymanagerd (5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:19 +0000

kactivitymanagerd (5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:29 +0000

kactivitymanagerd (5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:26 +0000

kactivitymanagerd (5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:50 +0000

kactivitymanagerd (5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:41 +0000

kactivitymanagerd (5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian
  * Add lintian overrides for package-name-doesnt-match-sonames and
    shlib-without-versioned-soname
  * Remove undesired debian Breaks after merge

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:05 +0000

## kactivitymanagerd 5.9.5

=== debian/changelog ===
kactivitymanagerd (5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:45 +0100

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd

Package: kactivitymanagerd
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Breaks: kactivities (<< 5.20~),
        libkactivities-bin
Replaces: kactivities (<< 5.20~), libkactivities-bin
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 5.10.5

=== debian/changelog ===
kactivitymanagerd (5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:26 +0100

kactivitymanagerd (5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:20 +0100

kactivitymanagerd (5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:55 +0100

kactivitymanagerd (5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:07 +0100

kactivitymanagerd (5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:48 +0100

kactivitymanagerd (5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:08 +0100

kactivitymanagerd (5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
                libboost-dev (>= 1.49~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5globalaccel-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5service-dev (>= 5.36.0~),
+               libkf5windowsystem-dev (>= 5.36.0~),
+               libkf5xmlgui-dev (>= 5.36.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8

## kactivitymanagerd 5.12.4

=== debian/changelog ===
kactivitymanagerd (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:15 +0100

kactivitymanagerd (5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:31 +0000

kactivitymanagerd (5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:07 +0000

kactivitymanagerd (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:11 +0000

kactivitymanagerd (5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:38 +0000

kactivitymanagerd (5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:18 +0000

kactivitymanagerd (5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:03 -0600

kactivitymanagerd (5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:44 +0000

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5globalaccel-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd

Package: kactivitymanagerd
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Breaks: kactivities (<< 5.20~), libkactivities-bin
Replaces: kactivities (<< 5.20~), libkactivities-bin
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 5.12.8

=== src/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

# Boosting us a bit

find_package (Boost 1.49 REQUIRED)
include_directories (${Boost_INCLUDE_DIR})

string (REGEX MATCH "1053.." BOOST_VERSION_BLACKLISTED ${Boost_VERSION})

if (BOOST_VERSION_BLACKLISTED AND NOT KACTIVITIES_ENABLE_EXCEPTIONS)
   message (
      WARNING
      "Boost.Container 1.53 has issues when exceptions are disabled. "
      "We will set the KACTIVITIES_ENABLE_EXCEPTIONS option."
      )
   set (KACTIVITIES_ENABLE_EXCEPTIONS ON)
endif ()

if (KACTIVITIES_ENABLE_EXCEPTIONS)
   string (REPLACE "-fno-exceptions" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
   add_definitions (-fexceptions)
endif ()

# Testing for C++0x/C++11 features
include (CheckCxxFeatures)
cxx_check_feature ("c++11" "auto"               "N2546" HAVE_CXX11_AUTO               "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "nullptr"            "N2431" HAVE_CXX11_NULLPTR            "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "lambda"             "N2927" HAVE_CXX11_LAMBDA             "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "override"           "N3206" HAVE_CXX11_OVERRIDE           "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "unique_ptr"         "none"  HAVE_CXX11_UNIQUE_PTR         "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "variadic-templates" "N2242" HAVE_CXX11_VARIADIC_TEMPLATES "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "initializer-lists"  "N2672" HAVE_CXX11_INITIALIZER_LISTS  "${ADDITIONAL_DEFINITIONS}")

# =======================================================
# Starting the actual project definition

# Config file
set (KAMD_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
set (KAMD_DATA_DIR "${KDE_INSTALL_DATADIR_KF5}/kactivitymanagerd/")
set (KAMD_PLUGIN_VERSION 1)
set (KAMD_PLUGIN_DIR "kactivitymanagerd/${KAMD_PLUGIN_VERSION}")
set (KAMD_FULL_PLUGIN_DIR "${CMAKE_INSTALL_FULL_PLUGINDIR}/${KAMD_PLUGIN_DIR}/")
configure_file (kactivities-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kactivities-features.h)

include_directories (
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )

# Is the compiler modern enough to build the ActivityManager service
# and accompanying workspace addons?

string (COMPARE EQUAL "${CXX_FEATURES_UNSUPPORTED}" "" CXX_COMPILER_IS_MODERN)

# The compiler is good enough
if (CXX_COMPILER_IS_MODERN)
   message (STATUS
      "C++11 enabled compiler: Your compiler is state-of-the-art"
      )
else ()
   message (STATUS
      "C++11 enabled compiler:"
      "Your compiler doesn't support the following features: ${CXX_FEATURES_UNSUPPORTED} but
      the list of the supported ones is sufficient for the build: ${CXX_FEATURES_SUPPORTED}"
      )
endif ()

configure_file(org.kde.activitymanager.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.activitymanager.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.activitymanager.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

add_subdirectory (service)

=== src/service/plugins/activitytemplates/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

project (kactivitymanagerd-plugin-activitytemplates)

include_directories (
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src
   ${CMAKE_BINARY_DIR}/src
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${CMAKE_CURRENT_BINARY_DIR}
   ${KConfig_INCLUDE_DIR}
   )

set (
   activitytemplates_SRCS
   TemplatesPlugin.cpp
   )

qt5_add_dbus_adaptor (
   activitytemplates_SRCS org.kde.ActivityManager.Templates.xml
   TemplatesPlugin.h TemplatesPlugin
   )

kcoreaddons_add_plugin(
   kactivitymanagerd_plugin_activitytemplates
   JSON kactivitymanagerd-plugin-activitytemplates.json
   SOURCES ${activitytemplates_SRCS}
   INSTALL_NAMESPACE ${KAMD_PLUGIN_DIR}
   )

target_link_libraries (
   kactivitymanagerd_plugin_activitytemplates
   Qt5::Core
   Qt5::DBus
   KF5::ConfigCore
   KF5::DBusAddons
   KF5::CoreAddons
   kactivitymanagerd_plugin
   )

set_target_properties (
   kactivitymanagerd_plugin_activitytemplates
   PROPERTIES PREFIX ""
   )

=== debian/changelog ===
kactivitymanagerd (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:45 +0100

kactivitymanagerd (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:05 +0100

kactivitymanagerd (5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:25 +0100

kactivitymanagerd (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:25 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5windowsystem-dev (>= 5.42.0~),
                libkf5xmlgui-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

## kactivitymanagerd 5.13.5

=== debian/changelog ===
kactivitymanagerd (5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Don't use debian group breaks.
    - Additional lintian-overrides to keep Kubuntu CI happy.
    - debian/copyright: Fix duplicate and missing copyright fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:26 +0100

kactivitymanagerd (5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:29 +0200

kactivitymanagerd (5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Don't use debian group breaks.
    - Additional lintian-overrides to keep Kubuntu CI happy.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 14:05:15 +0100

kactivitymanagerd (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:52 +0200

kactivitymanagerd (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:18 +0100

kactivitymanagerd (5.13.3-0ubuntu1) cosmic; urgency=medium

  * New build depend on libkf5crash-dev
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:20 +0100

kactivitymanagerd (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:49 +0200

kactivitymanagerd (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:33 +0100

kactivitymanagerd (5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:51 +0200

kactivitymanagerd (5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:30 +0100

kactivitymanagerd (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:39 +0100

kactivitymanagerd (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:27 +0100

kactivitymanagerd (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:29 +0100

kactivitymanagerd (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:46 -0300

kactivitymanagerd (5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:13 +0200

kactivitymanagerd (5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:06 +0200

kactivitymanagerd (5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:13 +0100

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.18.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5crash-dev (>= 5.18.0~),
               libkf5dbusaddons-dev (>= 5.18.0~),
               libkf5globalaccel-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5service-dev,
               libkf5windowsystem-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd

Package: kactivitymanagerd
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Breaks: kactivities (<< 5.20~), libkactivities-bin
Replaces: kactivities (<< 5.20~), libkactivities-bin
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 5.14.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,11 +35,10 @@
 # Starting the actual project definition
 
 # Config file
-set (KAMD_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
-set (KAMD_DATA_DIR "${KDE_INSTALL_DATADIR_KF5}/kactivitymanagerd/")
+set (KAMD_FULL_BIN_DIR "${KDE_INSTALL_FULL_BINDIR}")
 set (KAMD_PLUGIN_VERSION 1)
 set (KAMD_PLUGIN_DIR "kactivitymanagerd/${KAMD_PLUGIN_VERSION}")
-set (KAMD_FULL_PLUGIN_DIR "${CMAKE_INSTALL_FULL_PLUGINDIR}/${KAMD_PLUGIN_DIR}/")
+set (KAMD_FULL_PLUGIN_DIR "${KDE_INSTALL_FULL_PLUGINDIR}/${KAMD_PLUGIN_DIR}/")
 configure_file (kactivities-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kactivities-features.h)
 
 include_directories (
@@ -70,5 +69,23 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.activitymanager.service
         DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
 
+ecm_qt_declare_logging_category(debug_SRCS
+   HEADER DebugActivities.h
+   IDENTIFIER KAMD_LOG_ACTIVITIES
+   CATEGORY_NAME org.kde.kactivities.activities
+   DEFAULT_SEVERITY Warning)
+ecm_qt_declare_logging_category(debug_SRCS
+   HEADER DebugResources.h
+   IDENTIFIER KAMD_LOG_RESOURCES
+   CATEGORY_NAME org.kde.kactivities.resources
+   DEFAULT_SEVERITY Warning)
+ecm_qt_declare_logging_category(debug_SRCS
+   HEADER DebugApplication.h
+   IDENTIFIER KAMD_LOG_APPLICATION
+   CATEGORY_NAME org.kde.kactivities.application
+   DEFAULT_SEVERITY Warning)
+
+ecm_setup_qtplugin_macro_names(JSON_ARG3 "KAMD_EXPORT_PLUGIN")
+
 add_subdirectory (service)

=== debian/changelog ===
kactivitymanagerd (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:42 -0300

kactivitymanagerd (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:27 -0300

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5crash-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5service-dev,
               libkf5windowsystem-dev (>= 5.50.0~),
               libkf5xmlgui-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivitymanagerd
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivitymanagerd.git

Package: kactivitymanagerd
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Breaks: kactivities (<< 5.20~),
        libkactivities-bin,
        plasma-desktop (<< 4:5.14),
        plasma-workspace (<< 4:5.14),
Replaces: kactivities (<< 5.20~), libkactivities-bin
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 5.15.4

=== debian/changelog ===
kactivitymanagerd (5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:08:50 +0100

kactivitymanagerd (5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:18 +0000

kactivitymanagerd (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:12:55 +0000

kactivitymanagerd (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:32:48 +0000

kactivitymanagerd (5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:22 +0000

kactivitymanagerd (5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:39 +0000

kactivitymanagerd (5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:40 +0000

kactivitymanagerd (5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:43 +0000

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd

Package: kactivitymanagerd
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Breaks: kactivities (<< 5.20~), libkactivities-bin
Replaces: kactivities (<< 5.20~), libkactivities-bin
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 5.16.5

=== debian/changelog ===
kactivitymanagerd (5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:29 +0100

kactivitymanagerd (5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:17 +0100

kactivitymanagerd (5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:37 +0100

kactivitymanagerd (5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:31 +0100

kactivitymanagerd (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:01 +0100

kactivitymanagerd (5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:17 +0100

kactivitymanagerd (5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:23 +0100

kactivitymanagerd (5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
                libboost-dev (>= 1.49~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5crash-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5globalaccel-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
-               libkf5xmlgui-dev (>= 5.54.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5crash-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5globalaccel-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
+               libkf5xmlgui-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4),
 Standards-Version: 4.1.4

## kactivitymanagerd 5.18.4.1

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required (VERSION 3.0)

project (KActivityManagerd)

option (KACTIVITIES_ENABLE_EXCEPTIONS "If you have Boost 1.53, you need to build KActivities with exceptions enabled. This is UNTESTED and EXPERIMENTAL!" OFF)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message (
      FATAL_ERROR
      "kactivities require an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there."
   )
endif ()

set (KACTIVITIES_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Extra CMake stuff
include(FeatureSummary)
find_package(ECM ${KF5_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include (KDEInstallDirs)
include (KDECMakeSettings)
include (KDECompilerSettings NO_POLICY_SCOPE)
include (GenerateExportHeader)
include (ECMGenerateHeaders)
include (ECMQtDeclareLoggingCategory)
include (ECMSetupQtPluginMacroNames)
include(KDEClangFormat)

# Qt
find_package (Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Widgets)

# KDE Frameworks
find_package (KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package (KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)

# Basic includes
include (CPack)

# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)
add_definitions (-DTRANSLATION_DOMAIN=\"kactivities5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install (po)
endif ()

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
   set(CMAKE_CXX_VISIBILITY_PRESET default)
   set(CMAKE_VISIBILITY_INLINES_HIDDEN 0)
endif ()

add_subdirectory (src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(FILES kactivitymanagerd.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,6 @@
 # Starting the actual project definition
 
 # Config file
-set (KAMD_FULL_BIN_DIR "${KDE_INSTALL_FULL_BINDIR}")
 set (KAMD_PLUGIN_VERSION 1)
 set (KAMD_PLUGIN_DIR "kactivitymanagerd/${KAMD_PLUGIN_VERSION}")
 set (KAMD_FULL_PLUGIN_DIR "${KDE_INSTALL_FULL_PLUGINDIR}/${KAMD_PLUGIN_DIR}/")

=== src/service/plugins/slc/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

project (activitymanager-plugin-slc)

# kservice_desktop_to_json (activitymanager-plugin-slc.desktop)

set (
   slc_SRCS
   SlcPlugin.cpp
   )

qt5_add_dbus_adaptor (
   slc_SRCS org.kde.ActivityManager.SLC.xml
   SlcPlugin.h SlcPlugin
   )

kcoreaddons_add_plugin(
   kactivitymanagerd_plugin_slc
   JSON kactivitymanagerd-plugin-slc.json
   SOURCES ${slc_SRCS}
   INSTALL_NAMESPACE ${KAMD_PLUGIN_DIR}
   )

target_link_libraries (
   kactivitymanagerd_plugin_slc
   Qt5::Core
   Qt5::DBus
   KF5::ConfigCore
   KF5::DBusAddons
   KF5::CoreAddons
   kactivitymanagerd_plugin
   )

set_target_properties (
   kactivitymanagerd_plugin_slc
   PROPERTIES PREFIX ""
   )

=== src/service/plugins/virtualdesktopswitch/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

project (kactivitymanagerd-virtualdesktopswitch)

set (
   virtualdesktopswitch_SRCS
   VirtualDesktopSwitchPlugin.cpp
   ${plugin_implementation_SRCS}
   )

kcoreaddons_add_plugin(
   kactivitymanagerd_plugin_virtualdesktopswitch
   JSON kactivitymanagerd-plugin-virtualdesktopswitch.json
   SOURCES ${virtualdesktopswitch_SRCS}
   INSTALL_NAMESPACE ${KAMD_PLUGIN_DIR}
   )

target_link_libraries (
   kactivitymanagerd_plugin_virtualdesktopswitch
   Qt5::Core
   Qt5::DBus
   KF5::ConfigCore
   KF5::WindowSystem
   KF5::CoreAddons
   kactivitymanagerd_plugin
   )

set_target_properties (
   kactivitymanagerd_plugin_virtualdesktopswitch
   PROPERTIES PREFIX ""
   )

=== debian/changelog ===
kactivitymanagerd (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:42 +0100

kactivitymanagerd (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:06 +0000

kactivitymanagerd (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:18 +0000

kactivitymanagerd (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:08 +0000

kactivitymanagerd (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:29 +0000

kactivitymanagerd (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:20 +0000

kactivitymanagerd (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:43:57 +0000

kactivitymanagerd (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:14 +0000

kactivitymanagerd (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:04 +0000

kactivitymanagerd (5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:18 +0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
                libboost-dev (>= 1.49~),
-               libkf5config-dev (>= 5.58.0~),
-               libkf5coreaddons-dev (>= 5.58.0~),
-               libkf5crash-dev (>= 5.58.0~),
-               libkf5dbusaddons-dev (>= 5.58.0~),
-               libkf5globalaccel-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5service-dev (>= 5.58.0~),
-               libkf5windowsystem-dev (>= 5.58.0~),
-               libkf5xmlgui-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.66.0~),
+               libkf5coreaddons-dev (>= 5.66.0~),
+               libkf5crash-dev (>= 5.66.0~),
+               libkf5dbusaddons-dev (>= 5.66.0~),
+               libkf5globalaccel-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5kio-dev (>= 5.66.0~),
+               libkf5service-dev (>= 5.66.0~),
+               libkf5windowsystem-dev (>= 5.66.0~),
+               libkf5xmlgui-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4),
 Standards-Version: 4.1.4
